### Function

# Pos Completer find_prev_word_break

#### Declaration [src]

    glong
    pos_completer_find_prev_word_break (
      const char* text
    )

#### Description [src]

Scans `text` from the end and returns the last word break in bytes counted from the end of the string. The word break is the position of the last two words separated by `completion_end_symbols`.

If the string has trailing whitespace the amount of whitespace at the end is returned instead.

#### Parameters

`text`

  Type: `const char*`

  The text to find the word break in.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `glong`

The position of the last word break or `-1` if none was found.